%global momorel 1

Summary: VNC client for the GNOME Desktop
Name: vinagre
Version: 0.5.2
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/vinagre
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: gnutls-devel >= 2.4.1
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: GConf2-devel >= 2.22.0
BuildPrereq: gnome-keyring-devel >= 2.22.1
BuildPrereq: gtk-vnc-devel >= 0.3.3
BuildPrereq: avahi-devel >= 0.6.22

Requires: rarian
Requires: GConf2

%description
This is vinagre, a VNC client for the GNOME Desktop.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install --enable-avahi
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

# duplecated
rm -rf %{buildroot}%{_datadir}/doc

%clean
rm -rf --preserve-root %{buildroot}

%post
scrollkeeper-update
gtk-update-icon-cache -q %{_datadir}/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    vinagre.schemas
do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/vinagre.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/mime/packages/vinagre-mime.xml
%{_mandir}/man1/vinagre.1.*

%changelog
* Sat Dec 13 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.2-1m)
- [SECURITY] http://www.coresecurity.com/content/vinagre-format-string
- update to 0.5.2

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.1-2m)
- rebuild against gnutls-2.4.1

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initial build
